Subject: Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: André Batista <[email-masked]>
Date: Fri, 2 Aug 2024 16:34:31 -0300

Hi

qui 01 ago 2024 às 16:12:18 (1722539538), [email-masked] enviou:
> On Tue, Jul 30, 2024 at 06:02:23PM -0300, André Batista wrote:
> > seg 29 jul 2024 às 14:33:59 (1722274439), [email-masked] enviou:
> > > FWIW, I'm using one of those Atom chips in a netbook for an installation
> > > of Sugar Desktop.  I upgrade it every few months or so.  If I'm the only
> > > user of i686-linux I would not want to condemn the project to supporting
> > > the architecture for my sake.
> > 
> > For the record, I'm another one still using those atom netbooks. Most
> > software that I use on that machine still builds and runs fine, with the
> > occasional hiccup.
> > 
> > But even though I use the arch, I also don't feel particularly inclined
> > to fix the occasional errors and can understand if people here decide to
> > drop support to it.
> 
> Thanks for chiming in Ricardo and André. Do you build your own kernels
> for these machines? Or wait for the occasional successful build from CI?
> Download substitutes from a different build farm?

I build my own kernels tailored for that machine so I did not notice that
substitutes were not available. I usually keep pace with whatever is the
latest stable kernel until it goes eol or, if it is a lts, until the
latest stable reaches x.x.3 or x.x.4 minor version. Currently it is on
v. 6.9.12.

I've not had any issues building kernels to it in a long time, but I do
use two local offload builders that are x84_64. None of them have more
than 8 cores though.